
@echo off

rem make_htm.bat - create different versions of a teaching material
rem
rem Usage: make_htm xxx
rem
rem        where xxx.htm is the original file; the command creates the
rem        following files:
rem
rem        Sl_xxx.htm lecture notes version (to be distributed to students)
rem        Sp_xxx.htm presentation version (to be shown during lectures)
rem        Sr_xxx.htm teacher's reduced version
rem        St_xxx.htm teacher's full version (a copy of the original file)


rem 13.04.1998 Jorma Sajaniemi
rem - version 1.0
rem 19.10.1998 Jorma Sajaniemi
rem - no changes needed for release 1.1
rem 18.02.1999 Jorma Sajaniemi
rem - no changes needed for release 1.2




rem Pruning arguments:
rem ------------------

rem If your favourite colors differ from the default values please
rem edit the files ht_tcher.txt, ht_presn.txt, and ht_lnote.txt

rem Other stuff:
rem ------------

set EXT=.htm

set SL=_l_
set SP=_p_
set SR=_r_
set ST=_t_



rem =================================================== #
rem You hardly want to change anything below this point #
rem =================================================== #




rem Make the versions:
rem ------------------

rem Lecture notes version - prune tcher and presn:

prune -d ht_tcher.txt -d ht_presn.txt %1%EXT% %SL%%1%EXT%

rem Presentation version - prune tcher and lnote:

prune -d ht_tcher.txt -d ht_lnote.txt %1%EXT% %SP%%1%EXT%

rem Teacher's reduced version - prune lnote:

prune -d ht_lnote.txt %1%EXT% %SR%%1%EXT%

rem Teacher's full version - make a full copy:

prune %1%EXT% %ST%%1%EXT%
